local change_waypoint_icon = HUDManager.change_waypoint_icon
function HUDManager:change_waypoint_icon(id, icon, color)
	change_waypoint_icon(self, id, icon)
	if not self._hud.waypoints[id] then
		return
	end

	local wp_data = self._hud.waypoints[id]
	local texture, rect = tweak_data.hud_icons:get_icon_data(icon, {
		0,
		0,
		32,
		32
	})

	if color then wp_data.bitmap:set_color(color) end
	wp_data.bitmap:set_size(rect[5] or rect[3], rect[6] or rect[4])
	wp_data.size = Vector3(rect[5] or rect[3], rect[6] or rect[4])
end